summaryrefslogtreecommitdiff
path: root/modules/40-git/install.sh
diff options
context:
space:
mode:
authorGalen Guyer <galen@galenguyer.com>2022-08-05 12:44:06 -0400
committerGalen Guyer <galen@galenguyer.com>2022-08-05 12:44:06 -0400
commitce1678ec45b4b0df1c3195b926410e62641de431 (patch)
tree1487faf99ed78e615d3ade09253f8cb4cd6e21a4 /modules/40-git/install.sh
parent6c379fe0a506e4405e3e8d5f3dda4c94cbcd8496 (diff)
Add git module
Diffstat (limited to 'modules/40-git/install.sh')
-rw-r--r--modules/40-git/install.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/modules/40-git/install.sh b/modules/40-git/install.sh
new file mode 100644
index 0000000..890db77
--- /dev/null
+++ b/modules/40-git/install.sh
@@ -0,0 +1,21 @@
+_script="$(realpath ${BASH_SOURCE[0]})"
+_scriptname="$(basename $_script)"
+_scriptdir="$(dirname $_script)"
+_modulename="$(basename $_scriptdir)"
+
+function preinstall() {
+ if ! [[ -x "$(command -v git)" ]]; then
+ PACKAGES+=("git")
+ fi
+}
+
+function install() {
+ # backup old file if it exists and we haven't backed it up before
+ if [[ -f "$HOME/.gitconfig" ]] && ! [[ -f "$HOME/.gitconfig.bak" ]] && ! [[ -f "$_scriptdir/.firstrun" ]]; then
+ echo "making backup"
+ cp "$HOME/.gitconfig" "$HOME/.gitconfig.bak"
+ touch "$_scriptdir/.firstrun"
+ fi
+
+ ln -f "$_scriptdir/gitconfig" "$HOME/.gitconfig"
+}